Public Attributes | List of all members
iso_create_big_sync_t Struct Reference
BLE » Core Isochronous Channels | BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter for creating big sync. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | big_hdl
uint16_t | per_sync_idx
uint8_t | encryption
uint8_t | enc_code [ENC_CODE_LEN]
uint8_t | mse
uint16_t | big_sync_timeout
uint8_t | num_bis
uint8_t * | bis

## Detailed Description

The parameter for creating big sync.

Definition at line 284 of file ble_iso.h.

## Member Data Documentation

## ◆ big_hdl

uint8_t iso_create_big_sync_t::big_hdl

Used to identify the BIG (0x00 to 0xEF).

Definition at line 286 of file ble_iso.h.

## ◆ big_sync_timeout

uint16_t iso_create_big_sync_t::big_sync_timeout

Synchronization timeout for the BIS, Range: 0x000A to 0x4000. Time = N*10 ms, Time Range: 100 ms to 163.84 s

Definition at line 291 of file ble_iso.h.

## ◆ bis

uint8_t* iso_create_big_sync_t::bis

List of BISs in the BIG (0x01 to 0x1F).

Definition at line 293 of file ble_iso.h.

## ◆ enc_code

uint8_t iso_create_big_sync_t::enc_code[ENC_CODE_LEN]

The code used for encrypting or decrypting payloads of an encrypted BIS.

Definition at line 289 of file ble_iso.h.

## ◆ encryption

uint8_t iso_create_big_sync_t::encryption

Unencrypted or Encrypted, see iso_encryption_type_t.

Definition at line 288 of file ble_iso.h.

## ◆ mse

uint8_t iso_create_big_sync_t::mse

Maximum number of subevents that are used to receive data payloads in each isochronous interval (0x01 to 0xFF).

Definition at line 290 of file ble_iso.h.

## ◆ num_bis

uint8_t iso_create_big_sync_t::num_bis

Total number of BISs to synchronize (0x01 to 0x1F).

Definition at line 292 of file ble_iso.h.

## ◆ per_sync_idx

uint16_t iso_create_big_sync_t::per_sync_idx

Used to identify the periodic advertising set (0 to 4).

Definition at line 287 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h